Subject: Re: [PATCH V5 00/31] powerpc/mm: Update page table format for book3s 64

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Nov 2015 10:28:45 +1100

On Mon, 2015-11-23 at 15:52 +0530, Aneesh Kumar K.V wrote:
> This patch series attempt to update book3s 64 linux page table format to
> make it more flexible. Our current pte format is very restrictive and we
> overload multiple pte bits. This is due to the non-availability of free bits
> in pte_t. We use pte_t to track the validity of 4K subpages. This patch
> series free up pte_t of 11 bits by moving 4K subpage tracking to the
> lower half of PTE page. The pte format is updated such that we have a
> better method for identifying a pte entry at pmd level. This will also enable
> us to implement hugetlb migration(not yet done in this series).
> 
> Before making the changes to the pte format, I am splitting the
> pte header definition such that we now have the below layout for headers

This series actually completely removes the tracking of the subages,
right ? IE, it also halves the memory footprint of page tables, doesn't
it ?

Cheers,
Ben.